Download an attachment

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/attachment-files/{attachment_file_id}/file/{file_name}

Download a file attached to a comment or to a chat message. The browser shows JPEG, PNG, GIF, WebP, BMP and AVIF images. Other files are sent as downloads. Clients cannot get the files of a chat. A vendor must have a task on the entity.

Path parameters

  • attachment_file_id string(uuid) Required

    Unique identifier of the attachment file

  • file_name string Required

    Name of the file to download

Responses

  • 200 application/octet-stream

    The file

    File content

  • 403

    You do not have access to the task of the comment or to the chat, you are a client and the file is in a chat, or the file is linked to nothing

  • 404

    The attachment or its file does not exist

GET /data/attachment-files/{attachment_file_id}/file/{file_name}
curl -X GET "http://api.example.com/data/attachment-files/a24a6ea4-ce75-4665-a070-57453082c25/file/document.pdf" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/attachment-files/a24a6ea4-ce75-4665-a070-57453082c25/file/document.pdf"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())